/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.remote.app.web.internal.frontend.taglib.clay.data.set;

import com.liferay.portal.kernel.language.LanguageUtil;
import com.liferay.remote.app.constants.RemoteAppConstants;
import com.liferay.remote.app.model.RemoteAppEntry;

import java.util.Locale;

/**
 * @author Bruno Basto
 */
public class RemoteAppClayDataSetEntry {

	public RemoteAppClayDataSetEntry(
		RemoteAppEntry remoteAppEntry, Locale locale) {

		_remoteAppEntry = remoteAppEntry;
		_locale = locale;
	}

	public String getName() {
		return _remoteAppEntry.getName(_locale);
	}

	public long getRemoteAppEntryId() {
		return _remoteAppEntry.getRemoteAppEntryId();
	}

	public String getType() {
		String type = _remoteAppEntry.getType();

		if (type.equals(RemoteAppConstants.TYPE_CUSTOM_ELEMENT)) {
			return LanguageUtil.get(_locale, "custom-element");
		}
		else if (type.equals(RemoteAppConstants.TYPE_IFRAME)) {
			return LanguageUtil.get(_locale, "iframe");
		}

		return type;
	}

	private final Locale _locale;
	private final RemoteAppEntry _remoteAppEntry;

}